How do I enable a PECL extension on Apache 2.4?

Alles, was PHP betrifft, kann hier besprochen werden.

How do I enable a PECL extension on Apache 2.4?

Postby balia » 08. March 2016 04:11

I am trying to setup horde webmail 5.2.9 on my server (debian Jessie).
When I go to localhost/horde/test.php I get
Code: Select all
PAM Support (PECL extension): No
The PAM PECL extension is required to allow PAM authentication to be used.   


To install the PAM extension, I have done the following:
Code: Select all
# sudo pecl install --alldeps PAM   


I can verify that PAM is installed:
Code: Select all
# sudo pecl list
Installed packages, channel pecl.php.net:
=========================================
Package   Version State
pam       1.0.3   stable   


But when I go to localhost/phpinfo.php, I don't see the pam module anywhere.
Also, I cannot find pam.so on my disk.
So editing php.ini with extension=pam.so as suggested by some is not an option.
Finally I don't see any PAM related module in /etc/apache2/mods-available.

What am I missing?
balia
 
Posts: 1
Joined: 08. March 2016 04:06
Operating System: ubuntu

Return to PHP

Who is online

Users browsing this forum: No registered users and 5 guests